PUT /api/v3/template/{templateId}/accountMeter

Update current template for all passed in accountMeterIds If the accountMeter is an account only record the template must be for the 'Money' commodity or an error will be thrown If the accountMeter has no template assigned one will be created If the accountMeter's latest template assignment is end dated, a new assignment will be created starting from the latest end date All must be successfully updated otherwise none are updated and an error is returned

UpdateAccountMetersLatestTemplateV3 Permissions: Accounts (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
templateId The template to apply to the provided accountMeterIds integer (int32) Required

Request Body

Array of:

Type: integer (int32)

Example Request Body application/json
[
  1
]

Responses

204 No Content The request succeeded. No content is returned in the response body.